SOLVESPACE -- parametric 2d/3d CAD
Examples
Tutorials
Features
Download
Reference
Technology
Library
Forum
Contact
USER FORUM

(you are viewing a thread; or go back to list of threads)

Installation (by Paul G)
Is there a .deb package for installation in Ubuntu / Kubuntu.
I have tried installing from source but get the following error when I try to run it -
Sorry, only UTF-8 locales are supported.
Mon Mar 26 2018, 11:33:01
(no subject) (by Andrew)
Visit "https://github.com/whitequark/solvespace/releases" for a selection of debs. However if I remember rightly you will need a UTF8 locale. This page "https://help.ubuntu.com/community/Locale" may help you with the locale issue.
Mon Mar 26 2018, 11:47:00
Installation (by Paul G)
Thanks for the reply. I am using a UTF8 locale, but still get the error. I have tried installing libslvs1_2.1_amd64.deb and solvespace_2.1_amd64.deb.
libslvs1_2.1_amd64.deb installs without any problems, but solvespace_2.1_amd64.deb fails because of unmet dependancies. Do I need both packages, and is there a list of prerequisite dependencies that I can use?
Mon Mar 26 2018, 12:52:10
(no subject) (by Alan)
I just did "apt-get install solvespace".
Mon Mar 26 2018, 13:28:45
Installation (by Paul G)
That does not work for me.
I get this error -

E: Unable to locate package solvespace

What version of Ubuntu are you running?
Mine is 16.04 (Xenial)
Tue Mar 27 2018, 12:38:51
(no subject) (by Alan)
I'm running Debian, but I thought Debian packages were mostly available in Ubuntu?

https://packages.debian.org/stretch/graphics/solvespace
Tue Mar 27 2018, 13:03:44
Post a reply to this comment:
Your Name:
Your Email:
Subject:
(no HTML tags; use plain text, and hit Enter for a line break)
Attached file (if you want, 5 MB max):
© 2008-2018 SolveSpace contributors. Most recent update Nov 22 2018.